Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RelationNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.relation.RelationNotification

All Implemented Interfaces:
  java.io.Serializable

public class RelationNotification
extends Notification

A notification of a change in the Relation Service. A RelationNotification notification is sent when a relation is created via the Relation Service, or an MBean is added as a relation in the Relation Service, or a role is updated in a relation, or a relation is removed from the Relation Service.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RELATION_BASIC_CREATION` Type for the creation of an internal relation.
`static java.lang.String` | `RELATION_BASIC_REMOVAL` Type for the removal from the Relation Service of an internal relation.
`static java.lang.String` | `RELATION_BASIC_UPDATE` Type for an update of an internal relation.
`static java.lang.String` | `RELATION_MBEAN_CREATION` Type for the relation MBean added into the Relation Service.
`static java.lang.String` | `RELATION_MBEAN_REMOVAL` Type for the removal from the Relation Service of a relation MBean.
`static java.lang.String` | `RELATION_MBEAN_UPDATE` Type for the update of a relation MBean.

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`RelationNotification(java.lang.String theNtfType, java.lang.Object theSrcObj, long TheSeqNbr, long theTimeStamp, java.lang.String theMsg, java.lang.String theRelId, java.lang.String theRelTypeName, ObjectName theRelObjName, java.util.List theUnregMBeanList)` Creates a notification for either a relation creation (RelationSupport object created internally in the Relation Service, or an MBean added as a relation) or for a relation removal from the Relation Service.
`RelationNotification(java.lang.String theNtfType, java.lang.Object theSrcObj, long TheSeqNbr, long theTimeStamp, java.lang.String theMsg, java.lang.String theRelId, java.lang.String theRelTypeName, ObjectName theRelObjName, java.lang.String theRoleName, java.util.List theNewRoleValue, java.util.List theOldRoleValue)` Creates a notification for a role update in a relation.

Method Summary
`java.util.List` | `getMBeansToUnregister()` Returns the list of ObjectNames of MBeans expected to be unregistered due to a relation removal (only for relation removal).
`java.util.List` | `getNewRoleValue()` Returns new value of updated role (only for role update).
`ObjectName` | `getObjectName()` Returns the ObjectName of the created/removed/updated relation.
`java.util.List` | `getOldRoleValue()` Returns old value of updated role (only for role update).
`java.lang.String` | `getRelationId()` Returns the relation identifier of created/removed/updated relation.
`java.lang.String` | `getRelationTypeName()` Returns the relation type name of created/removed/updated relation.
`java.lang.String` | `getRoleName()` Returns name of updated role of updated relation (only for role update).

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RELATION_BASIC_CREATION

    public static final java.lang.String RELATION_BASIC_CREATION

  Type for the creation of an internal relation.

  See Also:
    Constant Field Values

### RELATION_MBEAN_CREATION

    public static final java.lang.String RELATION_MBEAN_CREATION

  Type for the relation MBean added into the Relation Service.

  See Also:
    Constant Field Values

### RELATION_BASIC_UPDATE

    public static final java.lang.String RELATION_BASIC_UPDATE

  Type for an update of an internal relation.

  See Also:
    Constant Field Values

### RELATION_MBEAN_UPDATE

    public static final java.lang.String RELATION_MBEAN_UPDATE

  Type for the update of a relation MBean.

  See Also:
    Constant Field Values

### RELATION_BASIC_REMOVAL

    public static final java.lang.String RELATION_BASIC_REMOVAL

  Type for the removal from the Relation Service of an internal relation.

  See Also:
    Constant Field Values

### RELATION_MBEAN_REMOVAL

    public static final java.lang.String RELATION_MBEAN_REMOVAL

  Type for the removal from the Relation Service of a relation MBean.

  See Also:
    Constant Field Values

Constructor Detail

### RelationNotification

    public RelationNotification(java.lang.String theNtfType,
                                java.lang.Object theSrcObj,
                                long TheSeqNbr,
                                long theTimeStamp,
                                java.lang.String theMsg,
                                java.lang.String theRelId,
                                java.lang.String theRelTypeName,
                                ObjectName theRelObjName,
                                java.util.List theUnregMBeanList)
                         throws java.lang.IllegalArgumentException

  Creates a notification for either a relation creation (RelationSupport object created internally in the Relation Service, or an MBean added as a relation) or for a relation removal from the Relation Service.

Parameters:
  `theNtfType` - type of the notification; either:

  - RELATION_BASIC_CREATION

  - RELATION_MBEAN_CREATION

  - RELATION_BASIC_REMOVAL

  - RELATION_MBEAN_REMOVAL

  `theSrcObj` - source object, sending the notification. Will always be a RelationService object.
  `TheSeqNbr` - sequence number to identify the notification
  `theTimeStamp` - time stamp
  `theMsg` - human-readable message describing the notification
  `theRelId` - relation id identifying the relation in the Relation Service
  `theRelTypeName` - name of the relation type
  `theRelObjName` - ObjectName of the relation object if it is an MBean (null for relations internally handled by the Relation Service)
  `theUnregMBeanList` - list of ObjectNames of referenced MBeans expected to be unregistered due to relation removal (only for removal, due to CIM qualifiers, can be null)
Throws:
  `java.lang.IllegalArgumentException` - if:

  - no value for the notification type

  - the notification type is not RELATION_BASIC_CREATION, RELATION_MBEAN_CREATION, RELATION_BASIC_REMOVAL or RELATION_MBEAN_REMOVAL

  - no source object

  - the source object is not a Relation Service

  - no relation id

  - no relation type name

### RelationNotification

    public RelationNotification(java.lang.String theNtfType,
                                java.lang.Object theSrcObj,
                                long TheSeqNbr,
                                long theTimeStamp,
                                java.lang.String theMsg,
                                java.lang.String theRelId,
                                java.lang.String theRelTypeName,
                                ObjectName theRelObjName,
                                java.lang.String theRoleName,
                                java.util.List theNewRoleValue,
                                java.util.List theOldRoleValue)
                         throws java.lang.IllegalArgumentException

  Creates a notification for a role update in a relation.

Parameters:
  `theNtfType` - type of the notification; either:

  - RELATION_BASIC_UPDATE

  - RELATION_MBEAN_UPDATE

  `theSrcObj` - source object, sending the notification. Will always be a RelationService object.
  `TheSeqNbr` - sequence number to identify the notification
  `theTimeStamp` - time stamp
  `theMsg` - human-readable message describing the notification
  `theRelId` - relation id identifying the relation in the Relation Service
  `theRelTypeName` - name of the relation type
  `theRelObjName` - ObjectName of the relation object if it is an MBean (null for relations internally handled by the Relation Service)
  `theRoleName` - name of the updated role
  `theNewRoleValue` - new value (List of ObjectName objects)
  `theOldRoleValue` - old value (List of ObjectName objects)
Throws:
  `java.lang.IllegalArgumentException` - if null parameter

Method Detail

### getRelationId

    public java.lang.String getRelationId()

  Returns the relation identifier of created/removed/updated relation.

  Returns:
    the relation id.

### getRelationTypeName

    public java.lang.String getRelationTypeName()

  Returns the relation type name of created/removed/updated relation.

  Returns:
    the relation type name.

### getObjectName

    public ObjectName getObjectName()

  Returns the ObjectName of the created/removed/updated relation.

  Returns:
    the ObjectName if the relation is an MBean, otherwise null.

### getMBeansToUnregister

    public java.util.List getMBeansToUnregister()

  Returns the list of ObjectNames of MBeans expected to be unregistered due to a relation removal (only for relation removal).

  Returns:
    a `List` of `ObjectName`.

### getRoleName

    public java.lang.String getRoleName()

  Returns name of updated role of updated relation (only for role update).

  Returns:
    the name of the updated role.

### getOldRoleValue

    public java.util.List getOldRoleValue()

  Returns old value of updated role (only for role update).

  Returns:
    the old value of the updated role.

### getNewRoleValue

    public java.util.List getNewRoleValue()

  Returns new value of updated role (only for role update).

  Returns:
    the new value of the updated role.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.